Bug 11458 - Header /usr/include/rpm/rpmlib.h Missing <rpm/...> Prefix
Summary: Header /usr/include/rpm/rpmlib.h Missing <rpm/...> Prefix
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-17 04:15 UTC by Jeff Rush
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-17 04:15:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Rush 2000-05-17 04:15:14 UTC
In the file /usr/include/rpm/rpmlib.h, it includes four headers, three
of which are in the same directory at rpmlib.h.  Unfortunately, they
are specified as:

    #include <header.h>
    #include <dbindex.h>

which causes gcc to not find them unless /usr/include/rpm/ is added to
the includepath, which is difficult (to me) when using autoconf to
automatically detect the presence of the rpmlib devel tools.

The proposed change is:

    #include <rpm/header.h>
    #include <rpm/dbindex.h>
    (and so forth for any other such)

Comment 1 Jeff Johnson 2000-06-21 11:00:10 UTC
The change as suggested would prevent building rpm within it's own tree.
The right thing to do is use
	#include "rpmio.h"
in /usr/include/rpm/rpmlib.h. This is the way that rpm used to do things,
was changed for some crazy reason having to do with automagically generated
perl bindings, is now in the process of being changed back.

Or, use -I/usr/include/rpm appropriately, that works too.


Note You need to log in before you can comment on or make changes to this bug.